cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/workspaces/projects/{projectId}/environmentsimport requests
url = "https://api.staging.qyl.dev/api/v1/workspaces/projects/{projectId}/environments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/workspaces/projects/{projectId}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"display_name": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"color": "<string>"
}
]{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Workspaces
List environments
List environments for a project
GET
/
api
/
v1
/
workspaces
/
projects
/
{projectId}
/
environments
cURL
Path Parameters
Response
The request has succeeded.
Environment ID
Owning project
Environment name (dev, staging, prod)
Display name for UI
Sort order for display
Creation timestamp
Hex color for UI
Was this page helpful?
⌘I
